VIEWIMG_MAKE_ACTIVE(3)

FUNCTION
viewimg_make_active - Make viewable image active and possibly refresh.

SYNOPSIS
#include <karma_viewimg.h>

flag viewimg_make_active

(ViewableImage vimage)

DESCRIPTION
This routine will make a viewable image the active image for its associated world canvas. The canvas is then refreshed (possibly resized), provided that the new viewable image was not already active.

vimage
    The viewable image.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

SEE ALSO
<-viewimg_set_active->.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/